.pagination {
  position: relative;
  &__wrap {
    display: flex;
    // @include flex(center, space-between, row);
    // @include tablet-lg {
    //   justify-content: center;
    //   flex-direction: column;
    // }
  }
  &__item:last-child {
    // @include tablet-lg {
    //   padding-top: 15px;
    //   width: 100%;
    // }
    // @include mobile-lg {
    //   padding-top: 0;
    // }
  }

  /* customize paginations styles */
  ul {
    // @include flex(center, flex-end, row);
    display: flex;
    justify-content: center;
    position: relative;
    // @include tablet-lg {
    //   justify-content: space-between;
    //   width: 100%;
    // }
  }
  li {
    display: inline-block;
    // @include desktop-md {
    //   padding: 0;
    // }
    // @include tablet-lg {
    //   display: none;
    // }
    &:first-child {
      padding-right: 10px;
      // @include tablet-lg {
      //   text-align: left;
      // }
      a {
        padding-left: 15px;
        &::before {
          content: "";
          pointer-events: none;
          border: 5px solid transparent;
          margin-top: -3px;
          position: absolute;
          top: 50%;
          height: 0;
          transition: all 0.2s ease 0s;
          width: 0;
          border-right-color: #333;
          border-left: 0;
          left: 0;  
        }
      }
    }
    &:last-child {
      padding-left: 15px;
      // @include tablet-lg {
      //   text-align: right;
      // }
      a {
        padding-right: 15px;
        &::after {
          border: 5px solid transparent;
          border-left-color: #333;
          border-right: 0;
          content: "";
          height: 0;
          pointer-events: none;
          margin-top: -3px;
          position: absolute;
          top: 50%;
          transition: all 0.2s ease 0s;
          right: 0;
          width: 0;
        }
      }
    }
    &:first-child,
    &:last-child {
      // @include tablet-lg {
      //   display: block;
      //   width: 100%;
      // }
    }
    a {
      display: inline-block;
      color: #333;
      cursor: pointer;
      padding: 5px 10px;
      position: relative;
      text-transform: uppercase;
      // font-size: 1.5rem;
      font-size: 16px;
      outline: 0;
      // @include tablet-lg {
      //   font-size: 13px;
      // }
      &:hover {
        color: #3078bf;
        &::before {
          border-right-color: #3078bf;
        }
        &::after {
          border-left-color: #3078bf;
        }
      }
    }
  }
}

// global style
:global [class*="pagination"] [class*="disabled"] {
  pointer-events: none;
  opacity: 0.58;
  cursor: default;
  & a::after,
  & a::before {
    opacity: 0.52;
  }
}
:global [class*="pagination"] [class*="selected"] a {
  color: #444;
  pointer-events: none;
  font-weight: bold;
  opacity: 0.52;
}
/* end customize paginations styles */